 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({
    data: {
        goodsData   : '', //详情
        canState    : '', //操作按钮
        express     : '', //物流
        refundNo    : ''  //订单号
    },

    onLoad(options) {
        this.setData({
            refundNo: options.refund_no
        })
    },

    onShow() {
        // 获取订单详情
        this.goodsInfo();
    },

    /**
     * 订单详情
    */
    goodsInfo() {
        wx.$api.order.refundSee(this.data.refundNo).then(res => {
            console.log(res)
            this.setData({
                goodsData   : res.data,
                canState    : res.data.can,
                express     : res.data.express
            })
        }).catch(err => {})
    },

    /**
     * 复制订单号
    */
    copyUrl(val) {
        wx.setClipboardData({
            data: val.currentTarget.dataset.no,
            success: () => {
                wx.showToast({
                    title: "订单编号复制成功",
                    icon : "none"
                })
            }
        })
    }
})
